Subject: Re: linux-next: build failure after merge of the sound and sound-asoc trees

From: Takashi Iwai <[email-masked]>
Date: Mon, 24 Sep 2012 09:48:34 +0200

At Mon, 24 Sep 2012 13:39:23 +1000,
Stephen Rothwell wrote:
> 
> Hi all,
> 
> After merging the sound tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> In file included from include/linux/skbuff.h:31:0,
>                  from include/linux/if_ether.h:135,
>                  from include/linux/netdevice.h:29,
>                  from arch/powerpc/net/bpf_jit_comp.c:14:
> include/linux/dmaengine.h: In function 'dmaengine_prep_dma_cyclic':
> include/linux/dmaengine.h:659:24: error: 'flags' undeclared (first use in this function)
> 
> and lots more similar.
> 
> Caused by commit ec8b5e48c037 ("dmaengine: Pass flags via
> device_prep_dma_cyclic() callback").  Was this version of this patch
> build tested at all?
> 
> I have used the sound and sound-asoc trees from next-20120921 for today.

Ugh, sorry.  I skipped the ppc and arm build tests at the previous
merge due to the remote work.

I can fix up but it'd be better to get a proper fix from Peter.
Peter, could you submit the fix ASAP?

thanks,

Takashi